public interface NetworkEndpointGroupsListNetworkEndpointsOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getId()
public abstract String getId()[Output Only] Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
String |
The id. |
getIdBytes()
public abstract ByteString getIdBytes()[Output Only] Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for id. |
getItems(int index)
public abstract NetworkEndpointWithHealthStatus getItems(int index)A list of NetworkEndpointWithHealthStatus resources.
repeated .google.cloud.compute.v1.NetworkEndpointWithHealthStatus items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
NetworkEndpointWithHealthStatus |
|
getItemsCount()
public abstract int getItemsCount()A list of NetworkEndpointWithHealthStatus resources.
repeated .google.cloud.compute.v1.NetworkEndpointWithHealthStatus items = 100526016;
| Returns | |
|---|---|
| Type | Description |
int |
|
getItemsList()
public abstract List<NetworkEndpointWithHealthStatus> getItemsList()A list of NetworkEndpointWithHealthStatus resources.
repeated .google.cloud.compute.v1.NetworkEndpointWithHealthStatus items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<NetworkEndpointWithHealthStatus> |
|
getItemsOrBuilder(int index)
public abstract NetworkEndpointWithHealthStatusOrBuilder getItemsOrBuilder(int index)A list of NetworkEndpointWithHealthStatus resources.
repeated .google.cloud.compute.v1.NetworkEndpointWithHealthStatus items = 100526016;
| Parameter | |
|---|---|
| Name | Description |
index |
int |
| Returns | |
|---|---|
| Type | Description |
NetworkEndpointWithHealthStatusOrBuilder |
|
getItemsOrBuilderList()
public abstract List<? extends NetworkEndpointWithHealthStatusOrBuilder> getItemsOrBuilderList()A list of NetworkEndpointWithHealthStatus resources.
repeated .google.cloud.compute.v1.NetworkEndpointWithHealthStatus items = 100526016;
| Returns | |
|---|---|
| Type | Description |
List<? extends com.google.cloud.compute.v1.NetworkEndpointWithHealthStatusOrBuilder> |
|
getKind()
public abstract String getKind()Output only. [Output Only] The resource type, which is alwayscompute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
String |
The kind. |
getKindBytes()
public abstract ByteString getKindBytes()Output only. [Output Only] The resource type, which is alwayscompute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for kind. |
getNextPageToken()
public abstract String getNextPageToken()[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
String |
The nextPageToken. |
getNextPageTokenBytes()
public abstract ByteString getNextPageTokenBytes()[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for nextPageToken. |
getWarning()
public abstract Warning getWarning()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
Warning |
The warning. |
getWarningOrBuilder()
public abstract WarningOrBuilder getWarningOrBuilder()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
WarningOrBuilder |
|
hasId()
public abstract boolean hasId()[Output Only] Unique identifier for the resource; defined by the server.
optional string id = 3355;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the id field is set. |
hasKind()
public abstract boolean hasKind()Output only. [Output Only] The resource type, which is alwayscompute#networkEndpointGroupsListNetworkEndpoints for the list of network endpoints in the specified network endpoint group.
optional string kind = 3292052;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the kind field is set. |
hasNextPageToken()
public abstract boolean hasNextPageToken()[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the nextPageToken field is set. |
hasWarning()
public abstract boolean hasWarning()[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the warning field is set. |